Bug 1182478 - Lohit2 Odia Telugu
Summary: Lohit2 Odia Telugu
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 09:02 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
2 users (show)

Fixed In Version: lohit-odia-fonts-2.91.0-1.fc22
Doc Type: Release Note
Doc Text:
== Lohit2 Odia Font Update == Fedora 22 brings an update to the Lohit Odia font, which is the default font for the Odia language in Fedora. This update aims at cleaning up Odia type tables and make them effective and efficient by following all the standards around font technology. It makes this font follow the latest open type specification and incorporates changes made in language guidelines in recent years. Users should not notice any significant changes apart from some "rare" words now being displayed correctly. See http://pravin-s.blogspot.in/2013/08/project-creating-standard-and-reusable.html for additional information about changes made.
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:35 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-15 09:02:07 UTC
This is a tracking bug for Change: Lohit2 Odia Telugu
For more details, see: https://fedoraproject.org//wiki/Changes/Lohit2_Odia_Telugu

Lohit2 project aims to make open type tables of Indian fonts effective and efficient following various standard around font technology including Unicode, Open type specification, Adobe font naming guidelines. During Fedora 22 Lohit upstream planning to release Lohit Odia and Lohit Telugu with completely rewritten open type tables.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:45 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Pravin Satpute 2015-02-24 09:14:24 UTC
This change proposal targets two languages fonts.
1. Odia 
2. Telugu 

Odia has been done in upstream but Telugu is still not done.

I want to update scope of this Change proposal and only want to continue with Lohit Odia. Telugu does not looks possible in F22 timeline presently. 

Hope so that is fine.

Comment 3 Jaroslav Reznik 2015-02-24 12:12:31 UTC
Yep, it's fine. Just change the Change page to reflect it and set this bug do MODIFIED. Thanks!

Comment 4 Pravin Satpute 2015-02-24 13:01:45 UTC
Build lohit-odia-fonts-2.91.0-1.fc22

Comment 5 Jaroslav Reznik 2015-03-24 11:41:44 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 6 Pravin Satpute 2015-03-26 13:57:10 UTC
Moving to ON_QA

Comment 7 Petr Bokoc 2015-04-14 12:21:28 UTC
Hi Pravin, we'd like to include this change in the Fedora 22 Beta Release Notes.

I wrote a draft of the release note in the Doc Text field; please review the text and let me know if you'd like to add or change anything. Note that I'm not familiar with Indian languages or localization in general, so I might have got something wrong...

Thanks!

Comment 8 Pravin Satpute 2015-04-15 05:34:08 UTC
Hi Petr,

   Beta release notes looks very good. Please proceed ahead.  Thank you :)


Note You need to log in before you can comment on or make changes to this bug.